package cz.muni.fi.pa165.movie;

import cz.muni.fi.pa165.common.BaseObjectDto;
import cz.muni.fi.pa165.image.ImageDto;
import lombok.Getter;
import lombok.Setter;
import java.util.List;

@Getter
@Setter
public class MovieDto extends BaseObjectDto {
    private String title;
    private String description;
    private String director;
    private List<String> actors;
    private List<GenreEnum> genres;
    private List<ImageDto> images;
}
