package cz.muni.fi.pa165;

import cz.muni.fi.pa165.movie.MovieDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/recommender")
public class RecommenderController {

    private final RecommenderService recommenderService;

    @Autowired
    public RecommenderController(RecommenderService recommenderService) {
        this.recommenderService = recommenderService;
    }

    @GetMapping("{id}")
    public List<MovieDto> getSimilarMovies(@PathVariable long id) {
        return recommenderService.getSimilarMovies(id);
    }
}
